Bug 371861 - Choppy performance -- multi-second delays while moving windows
Choppy performance -- multi-second delays while moving windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 16:29 EST by David Dillow
Modified: 2009-01-09 02:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.conf file for choppy performance, as set up by Fedora 8 install (1.31 KB, application/octet-stream)
2007-11-12 10:49 EST, David Dillow
no flags Details
/var/log/Xorg.0.log from the original setup (66.99 KB, text/plain)
2007-11-12 10:49 EST, David Dillow
no flags Details
/var/log/Xorg.0.log when running without /etc/X11/xorg.conf (69.02 KB, text/plain)
2007-11-12 10:50 EST, David Dillow
no flags Details

  None (edit)
Description David Dillow 2007-11-08 16:29:39 EST
Description of problem:
When moving windows under GNOME/Metacity, opening menus, scrolling in Firefox,
or displaying email in Evolution, the graphics performance become severely
laggy. Normally, it is fairly noticeable, but it quite often becomes unusable --
 moving the window I am typing this in took over two seconds to snap to the
final position when I let go of the mouse.

Version-Release number of selected component (if applicable):
2.1.5-2.fc8

How reproducible:
Always, on this hardware. Not tested elsewhere


Steps to Reproduce:
1. Install Fedora 8
2. Move windows, select menus, etc.

  
Actual results:
Choppy/laggy graphics


Expected results:
Smooth graphics

Additional info:
Hardware is Dell Latitude D830, Intel Core 2 Duo @ 2.4Ghz, 2GB ram, running at
1920x1200x24. Kernel is 2.6.23.1-42.fc8.

oprofile results from moving a window around for a bit:
CPU: Core 2, speed 2401 MHz (estimated)
Counted CPU_CLK_UNHALTED events (Clock cycles when not halted) with a unit mask
of 0x00 (Unhalted core cycles) count 100000
CPU_CLK_UNHALT...|
  samples|      %|
------------------
   233438 48.1160 /usr/lib64/xorg/modules/drivers/nv_drv.so
   158912 32.7548 /usr/lib64/xorg/modules/libfb.so
    39195  8.0788 /lib64/libc-2.7.so
    33481  6.9011 /usr/lib/debug/lib/modules/2.6.23.1-42.fc8/vmlinux

opreport -t1 -l /usr/lib64/xorg/modules/drivers/nv_drv.so
/usr/lib64/xorg/modules/libfb.so
CPU: Core 2, speed 2401 MHz (estimated)
Counted CPU_CLK_UNHALTED events (Clock cycles when not halted) with a unit mask
of 0x00 (Unhalted core cycles) count 100000
samples  %        app name                 symbol name
233256   59.4510  nv_drv.so                G80Sync
136065   34.6795  libfb.so                 fbCopyAreammx
21878     5.5761  libfb.so                 fbCompositeSolidMask_nx8x8888mmx
Comment 1 Matěj Cepl 2007-11-09 18:46:53 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 David Dillow 2007-11-12 10:49:11 EST
Created attachment 255341 [details]
Xorg.conf file for choppy performance, as set up by Fedora 8 install
Comment 3 David Dillow 2007-11-12 10:49:51 EST
Created attachment 255351 [details]
/var/log/Xorg.0.log from the original setup
Comment 4 David Dillow 2007-11-12 10:50:37 EST
Created attachment 255361 [details]
/var/log/Xorg.0.log when running without /etc/X11/xorg.conf
Comment 5 David Dillow 2007-11-12 10:54:02 EST
Also, I notice that no MTRR is being created for the framebuffer:

[me@machine]$ cat /proc/mtrr 
reg00: base=0x00000000 (   0MB), size=2048MB: write-back, count=1
reg01: base=0x7ff00000 (2047MB), size=   1MB: uncachable, count=1
[me@machine]$ lcpci -s 1:00.0 -v
01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0429 (rev
a1) (prog-if 00 [VGA])
        Subsystem: Dell Unknown device 01fe
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at fa000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at ef00 [size=128]
        [virtual] Expansion ROM at fc000000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [78] Express Endpoint IRQ 0


I've also tested switching between EXA and XAA, Composite enabled/disabled, and
acceleration enabled/disabled. Nothing improved the performance, but some made
it much worse.
Comment 6 Matěj Cepl 2007-11-12 11:43:13 EST
Which configuration made it much worse?
Comment 7 David Dillow 2007-11-12 11:55:14 EST
Sorry, should have specified -- all combinations were roughly the same, except
for when I turned off acceleration, which was the worst performing, as expected.
Comment 8 David Dillow 2007-11-12 11:56:21 EST
Oh, and EXA may have even been worse than turning on NoAccel, but I'd have to
try it again to be sure.
Comment 9 Petr Tuma 2007-11-13 15:37:29 EST
Have the same problem with nVidia Quadro VNS 140M (nVidia Corporation Unknown
device 0429 (rev a1)) on ThinkPad T61. All screen redraws are extremely slow
(most visible when moving windows or scrolling content). Mode 1400x1050, depth
16, no special settings in xorg config (driver name given, the rest autodetected).
Comment 10 Adam Jackson 2007-11-15 13:22:51 EST
Wow, G80Sync is expensive.

So what I think is happening here is, you're eventually running out of offscreen
memory, either due to consumption or just because XAA is garbage.  So then
you're spending all your time uploading stuff to the GPU from host memory (which
is the CopyArea bit), and we have to sync before doing that so you get
consistent results when mixing accelerated and CPU-driven rendering.

Not sure offhand how to mitigate that.
Comment 11 David Dillow 2007-11-15 15:53:20 EST
I'm going to go with "XAA is garbage" -- I'm not doing graphics intensive work,
so I'm not sure how we've run out of 512MB of video memory....

I've switched to NVidia's drivers for now, as they don't have this slowdown
issue. If you would like for me to test something, let me know -- it is easy to
switch back, and I'd rather be using the open source drivers.
Comment 12 Bug Zapper 2008-11-26 03:14:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:23:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.